Get project by ID
Retrieve information about a project by project ID.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>
Path parameters
id
Query parameters
members_limit
Maximum number of members to return
Response
Project information. Not all fields are available for all roles.
allow_stream
assignment_settings
config_suitable_for_bulk_annotation
Flag to detect is project ready for bulk annotation
created_at
data_types
finished_task_number
Finished tasks
ground_truth_number
Honeypot annotation number in project
id
is_dimensions_enabled
members
members_count
num_tasks_with_annotations
parsed_label_config
JSON-formatted labeling configuration
prompts
queue_done
queue_left
queue_total
ready
rejected
review_settings
review_total_tasks
reviewed_number
reviewer_queue_total
skipped_annotations_number
start_training_on_annotation_update
Start model training after any annotations are submitted or updated
state
task_number
Total task number in project
total_annotations_number
total_predictions_number
useful_annotation_number
workspace
workspace_title
agreement_methodology
Methodology (Consensus / Pairwise Averaging)
* `consensus` - Consensus
* `pairwise` - Pairwise Averaging
Allowed values:
agreement_threshold
Agreement threshold
annotation_limit_count
Limit by number of tasks
annotation_limit_percent
Limit by percentage of tasks
annotator_evaluation_continuous_tasks
Continuous Evaluation: Required tasks
annotator_evaluation_enabled
Evaluate all annotators against ground truth
annotator_evaluation_minimum_score
Score required to pass evaluation
annotator_evaluation_minimum_tasks
Number of tasks for evaluation
annotator_evaluation_onboarding_tasks
Onboarding Evaluation: Required tasks
color
Color
comment_classification_config
control_weights
Dict of weights for each control tag in metric calculation. Keys are control tag names from the labeling config. At least one tag must have a non-zero overall weight.
created_by
Project owner
custom_script
Plugins
custom_task_lock_ttl
Task reservation time. TTL in seconds (UI displays and edits this value in minutes).
description
Description
duplication_done
duplication_status
enable_empty_annotation
Allow empty annotations
evaluate_predictions_automatically
Retrieve and display predictions when loading a task
expert_instruction
Instructions
is_draft
Whether or not the project is in the middle of being created
is_published
Whether or not the project is published to annotators
label_config
Labeling Configuration
max_additional_annotators_assignable
Maximum additional annotators
maximum_annotations
Annotations per task
min_annotations_to_start_training
Minimum number of completed tasks after which model training is started
model_version
Machine learning model version
organization
overlap_cohort_percentage
Annotations per task coverage
pause_on_failed_annotator_evaluation
Pause annotator on failed evaluation
pinned_at
Pinned date and time
require_comment_on_skip
Require comment to skip
reveal_preannotations_interactively
Reveal pre-annotations interactively
sampling
* `Sequential sampling` - Tasks are ordered by Data manager ordering
* `Uniform sampling` - Tasks are chosen randomly
* `Uncertainty sampling` - Tasks are chosen according to model uncertainty scores (active learning mode)
Allowed values:
show_annotation_history
Show Data Manager to Annotators
show_collab_predictions
Use predictions to pre-label Tasks
show_instruction
Show instructions before labeling
show_overlap_first
Show tasks with overlap first
show_unused_data_columns_to_annotators
Show only columns used in labeling configuration to Annotators. API uses inverse field semantics here: set false to show only used columns, set true to show all task.data columns.
skip_queue
* `REQUEUE_FOR_ME` - Requeue for me
* `REQUEUE_FOR_OTHERS` - Requeue for others
* `IGNORE_SKIPPED` - Ignore skipped
Allowed values:
strict_task_overlap
Enforce strict overlap limit
task_data_login
Login
task_data_password
Password
title
Project Name
show_ground_truth_firstDeprecated
Onboarding mode (true): show ground truth tasks first in the labeling stream